Read about our upcoming Code of Conduct on this issue

This instance will be upgraded to Heptapod 0.28.0 on 2022-01-18 at 14:00 UTC+1 (a few minutes of down time)

Commit ac625c77 authored by Georges Racinet's avatar Georges Racinet 🦑
Browse files

Using default branch of evolve for hg 5.7rc

The stable branch of evolve is not compatible yet with the future Mercurial 5.7.
Will have to be backed out once compatibility is stabilized.
parent 06a22c30253d
Pipeline #16872 passed with stages
in 6 minutes and 46 seconds
......@@ -2,6 +2,8 @@ ARG PYDEPS_TAG
FROM octobus/ci-py3-hgext3rd as hgsrc
ARG HG_BRANCH
# temporarily using evolve-default for hg-stable because evolve-stable
# is not yet compatible with 5.7rc
RUN hg pull -R /ci/repos/mercurial/ --rev ${HG_BRANCH} && \
hg -R /ci/repos/mercurial/ update ${HG_BRANCH} && \
hg -R /ci/repos/mercurial summary && \
......@@ -9,7 +11,7 @@ RUN hg pull -R /ci/repos/mercurial/ --rev ${HG_BRANCH} && \
hg -R /ci/repos/evolve summary && \
mkdir -p /ci/tarballs && \
hg -R /ci/repos/mercurial archive -t tar /ci/tarballs/mercurial.tar && \
hg -R /ci/repos/evolve archive -r ${HG_BRANCH} -t tar /ci/tarballs/evolve.tar
hg -R /ci/repos/evolve archive -r default -t tar /ci/tarballs/evolve.tar
FROM registry.heptapod.net:443/heptapod/ci-images/fixed-pydeps:${PYDEPS_TAG}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment